 function z=calib_steady(thet);	

% parameter values
alp=thet(1);
bet=thet(2);
gam=thet(3);
sig=thet(4);

%% steady state values (assumed to be obtained from the data)
c0=0.7;				    % consumption 
h0=0.3; 				% hours worked
r0=0.01;				% real rate
w0=0.3; 				% real wage

z=zeros(4,1);
% errors in the equations
z(1)=c0^gam*h0^sig-w0;
z(2)=bet-1/(1+r0);
z(3)=(1-alp)*h0^(-alp)-w0;
z(4)=c0-h0^(1-alp);
% here we are assuming that c=y

