%% calibrating the parameters of a RBC model without capital to the steady states of the data

%% here we are trying to jointly set the parameters, rather than one to one
%% as it is typically done in calibration exercises.


%% exercise 1: change the initial conditions for the parameters
%% exercise 2: change the estimated values of the steady states (careful
%%             otherwise some estimated parameters may be negative).
%%  exercise 3 (more difficult) solve for each parameter separately.

clear all;

%initial conditions for the parameters
alp0=0.6;
bet0=0.99;
gam0=1.0;
sig0=1;

thet0=[alp0;bet0;gam0;sig0]; 	

%% Call the function 'calib_steady'
sol=fcsolve('calib_steady',thet0,[]);  
 
  