%% solving for the steady state of a simple RBC model with no capital

%% the equations of the model are
%% c(t)^gam*h(t)^sig=w(t);
%% r(t)=(1/bet);
%% (1-alp)*h(t)^(-alp)=w(t);
%% y(t)=h(t)^(1-alp);
%% y(t0=c(t);

%% values for parameters gam, bet, sig, alp are  rbc_nocap_steady.m

%% exercise 1: change initial guess for yy0,c0, w0
%%             Is the solution for the five variables the same? are there multiple solutions?
%% exercise 2: change values for the parameters are recompute steady states. 
%%             Compute the elasticity of steady state output to a small change in the risk aversion
%%             coefficient, i.e. calculate  delta(yss)/delta(gam) * gam/yss. Is it large? is it small?  
%%             What does this elasticity tells you?

clear all;
%% Initial guesses for the steady state values
yy0=1;                  %output
c0=0.8;				    %consumption
h0=0.3; 				%work
r0=0.01;				%real rate
w0=.2; 				    %wage

x0=[yy0;c0;h0;r0;w0]; 	
%% Call the function 'rbc_nocap_steady'
sol=fcsolve('rbc_nocap_steady',x0,[]);  
 
 