function z=rbc_nocap_steady(x);	

% parameter values
alp=0.35; % 1-exponent on labor in the production function
bet=0.99; % discount factor
gam=1.0;  % risk aversion coeffient
sig=1;    % elasticity of labor supply

% initial conditions
y=x(1);  
c=x(2);  
h=x(3); 
r=x(4); 
w=x(5); 

z=zeros(5,1);
% z are the errors in the equations
z(1)=c^gam*h^sig-w;
z(2)=r-(1/bet);
z(3)=(1-alp)*h^(-alp)-w;
z(4)=y-h^(1-alp);
z(5)=y-c;

% what fcsolve does is to try to simultaneously set the elements of the
% vector z as close as possible to zero.
